import { get, post, PUBLISH_SERVICE, CITY_SERVICE } from '@/services/index';

// 基础信息展示
export const GetDataBaseConfig = param =>
  get(`${PUBLISH_SERVICE}/DBManager/GetDataBaseConfig`, param);
export const GetBasicInfo = param => get(`${PUBLISH_SERVICE}/HostManager/GetBasicInfo`, param);
// 物联平台接口
export const GetIOTPlatformVersion = param =>
  get(`${PUBLISH_SERVICE}/HostManager/GetIOTPlatformVersion`, param);
export const GetTCPConfigInfo = param =>
  get(`${PUBLISH_SERVICE}/HostManager/GetTCPConfigInfo`, param);
export const PingIOTPlatform = param =>
  get(`${PUBLISH_SERVICE}/HostManager/PingIOTPlatform`, param);
export const SaveTcpAddress = param => get(`${PUBLISH_SERVICE}/HostManager/SaveTcpAddress`, param);
// 消息平台接口
export const GetMessageConfigInfo = param =>
  get(`${PUBLISH_SERVICE}/HostManager/GetMessageConfigInfo`, param);
export const ConnectMessPlatform = param =>
  get(`${PUBLISH_SERVICE}/HostManager/ConnectMessagePlatform`, param);
export const SaveSystemInfo = param => get(`${PUBLISH_SERVICE}/HostManager/SaveSystemInfo`, param);

// 代理服务器接口
export const GetNginxConfigInfo = param =>
  get(`${PUBLISH_SERVICE}/HostManager/GetNginxConfigInfo`, param);
export const InsertNginxConfig = param =>
  get(`${PUBLISH_SERVICE}/HostManager/InsertNginxConfig`, param);
export const StartNginx = param => get(`${PUBLISH_SERVICE}/HostManager/StartNginx`, param);
export const StopNginx = param => get(`${PUBLISH_SERVICE}/HostManager/StopNginx`, param);
export const NginxLog = param => get(`${PUBLISH_SERVICE}/HostManager/NginxLog`, param);
export const NginxCache = param => get(`${PUBLISH_SERVICE}/HostManager/NginxCache`, param);
export const ReloadNginx = param => get(`${PUBLISH_SERVICE}/HostManager/ReloadNginx`, param);
// 获取网关配置
export const GetGateWay = param => get(`${PUBLISH_SERVICE}/HostManager/GetGateWay`, param);
export const UpdateGeteWay = param => get(`${PUBLISH_SERVICE}/HostManager/UpdateGeteWay`, param);

// 代理服务老接口
export const GetNginxConfigInfoOLD = param =>
  get(`${CITY_SERVICE}/MessagePlatform.svc/MessageManage/GetNginxConfigInfo`, param);
export const InsertNginxConfigOLD = param =>
  post(`${CITY_SERVICE}/MessagePlatform.svc/MessageManage/InsertNginxConfig`, param);
export const StartNginxOLD = param =>
  post(`${CITY_SERVICE}/MessagePlatform.svc/MessageManage/StartNginx`, param);
export const StopNginxOLD = param =>
  post(`${CITY_SERVICE}/MessagePlatform.svc/MessageManage/StopNginx`, param);
export const NginxLogOLD = param =>
  post(`${CITY_SERVICE}/MessagePlatform.svc/MessageManage/NginxLog`, param);
export const NginxCacheOLD = param =>
  post(`${CITY_SERVICE}/MessagePlatform.svc/MessageManage/NginxCache`, param);
export const ReloadNginxOLD = param =>
  post(`${CITY_SERVICE}/MessagePlatform.svc/MessageManage/ReloadNginx`, param);
